#
View Source Vtc.Source.Seconds.PremiereTicks (vtc v0.13.15)

Implements Seconds protocol for Premiere ticks. See `Vtc.Framestamp.premiere_ticks/2` for more information on this unit.

This struct is used as an input wrapper only, not as the general-purpose Premiere ticks unit.

# Link to this section Summary

## Types

t()

Contains only a single field for wrapping the underlying integer.

## Functions

per_second()

Returns the number of ticks in a second.

# Link to this section Types

Link to this type

# t()

View Source

    @type t() :: %Vtc.Source.Seconds.PremiereTicks{in: integer()}

Contains only a single field for wrapping the underlying integer.

# Link to this section Functions

Link to this function

# per_second()

View Source

    @spec per_second() :: pos_integer()

Returns the number of ticks in a second.